Projecttranscriptie exporteren
curl --request POST \
--url https://api.voicecheap.ai/v1/projects/{projectId}/transcript \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": true
}
'import requests
url = "https://api.voicecheap.ai/v1/projects/{projectId}/transcript"
payload = {
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: '<string>',
targetLanguage: '<string>',
outputFormat: '<string>',
includeSpeakerLabels: true
})
};
fetch('https://api.voicecheap.ai/v1/projects/{projectId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transcriptie
Projecttranscriptie exporteren
Haal een originele of vertaalde projecttranscriptie op als JSON, SRT of VTT
Projecttranscriptie exporteren
Projecttranscriptie exporteren
Haal een transcriptie op van een bestaand VoiceCheap-project zonder interne web-app-eindpunten te gebruiken. Het eindpunt ondersteunt de bron-transcriptie en elke beschikbare transcriptie in de doeltaal. Succesvolle verzoeken retourneren HTTP200.
Verzoek
string
vereist
Uw VoiceCheap API-sleutel.
string
vereist
Project-identificatiecode geretourneerd door Project aanmaken of Vertaling starten.
string
vereist
original of translated.string
Vereist wanneer
source gelijk is aan translated. Gebruik de naam van de doeltaal die is opgeslagen in het project, zoals french.string
standaard:"json"
json, srt of vtt.boolean
standaard:"false"
Voeg zichtbare sprekerlabels toe in SRT of VTT. JSON bevat altijd sprekernummers.
Voorbeelden
cURL — Original JSON
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "original",
"outputFormat": "json"
}'
cURL — Translated SRT
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "translated",
"targetLanguage": "french",
"outputFormat": "srt",
"includeSpeakerLabels": true
}' \
--output project_123-fr.srt
workId voor vertaalde uitvoer.
Fouten
| Status | Code | Beschrijving |
|---|---|---|
| 400 | TARGET_LANGUAGE_REQUIRED | Vertaalde uitvoer werd aangevraagd zonder taal |
| 401 | INVALID_API_KEY | API-sleutel ontbreekt of is ongeldig |
| 403 | FORBIDDEN | API-sleutel heeft geen toegang tot dit project |
| 404 | PROJECT_NOT_FOUND | Project bestaat niet |
| 404 | TRANSCRIPT_NOT_FOUND | Gevraagde bron- of vertaalde transcriptie is afwezig |
| 409 | TRANSCRIPT_NOT_READY | Gevraagde transcriptie wordt nog verwerkt |
Was deze pagina nuttig?

